apiVersion: apps/v1
kind: Deployment
metadata:
  name: service-discovery
  labels:
    app: service-discovery
spec:
  replicas: 1
  selector:
    matchLabels:
      app: service-discovery
  template:
    metadata:
      labels:
        app: service-discovery
    spec:
      containers:
        - name: service-discovery
          image: graduation2022/service-discovery
          ports:
            - containerPort: 8761
---
apiVersion: v1
kind: Service
metadata:
  name: service-discovery
spec:
  type: LoadBalancer
  selector:
    app: service-discovery
  ports:
    - protocol: TCP
      port: 8761
      targetPort: 8761
      nodePort: 31100